commit 055ce1c0a7f06c01a346222b5fdfafab06def8c0
Author: freddy77 <freddy77>
Date:   Mon Jul 5 09:20:32 2010 +0000

    normalize unittest function names

diff --git a/ChangeLog b/ChangeLog
index d1cfad5..0139514 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,44 @@
+Mon Jul  5 11:19:56 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/array.c src/odbc/unittests/array_out.c:
+	* src/odbc/unittests/attributes.c src/odbc/unittests/base.c:
+	* src/odbc/unittests/binary_test.c src/odbc/unittests/blob1.c:
+	* src/odbc/unittests/cancel.c src/odbc/unittests/common.c:
+	* src/odbc/unittests/common.h src/odbc/unittests/compute.c:
+	* src/odbc/unittests/connect.c src/odbc/unittests/connect2.c:
+	* src/odbc/unittests/const_params.c:
+	* src/odbc/unittests/convert_error.c src/odbc/unittests/copydesc.c:
+	* src/odbc/unittests/cursor1.c src/odbc/unittests/cursor2.c:
+	* src/odbc/unittests/cursor3.c src/odbc/unittests/cursor4.c:
+	* src/odbc/unittests/cursor5.c src/odbc/unittests/cursor6.c:
+	* src/odbc/unittests/cursor7.c src/odbc/unittests/data.c:
+	* src/odbc/unittests/date.c src/odbc/unittests/descrec.c:
+	* src/odbc/unittests/describecol.c src/odbc/unittests/earlybind.c:
+	* src/odbc/unittests/error.c src/odbc/unittests/freeclose.c:
+	* src/odbc/unittests/funccall.c src/odbc/unittests/genparams.c:
+	* src/odbc/unittests/getdata.c src/odbc/unittests/hidden.c:
+	* src/odbc/unittests/insert_speed.c:
+	* src/odbc/unittests/lang_error.c:
+	* src/odbc/unittests/moreandcount.c src/odbc/unittests/norowset.c:
+	* src/odbc/unittests/paramcore.c src/odbc/unittests/params.c:
+	* src/odbc/unittests/prepare_results.c:
+	* src/odbc/unittests/prepclose.c src/odbc/unittests/preperror.c:
+	* src/odbc/unittests/print.c src/odbc/unittests/putdata.c:
+	* src/odbc/unittests/raiserror.c src/odbc/unittests/rebindpar.c:
+	* src/odbc/unittests/rownumber.c src/odbc/unittests/rowset.c:
+	* src/odbc/unittests/rpc.c src/odbc/unittests/scroll.c:
+	* src/odbc/unittests/stats.c src/odbc/unittests/t0001.c:
+	* src/odbc/unittests/t0002.c src/odbc/unittests/t0003.c:
+	* src/odbc/unittests/t0004.c src/odbc/unittests/tables.c:
+	* src/odbc/unittests/test64.c src/odbc/unittests/testodbc.c:
+	* src/odbc/unittests/timeout.c src/odbc/unittests/timeout2.c:
+	* src/odbc/unittests/timeout3.c src/odbc/unittests/timeout4.c:
+	* src/odbc/unittests/transaction.c:
+	* src/odbc/unittests/transaction2.c src/odbc/unittests/type.c:
+	* src/odbc/unittests/typeinfo.c src/odbc/unittests/utf8.c:
+	* src/odbc/unittests/utf8_2.c src/odbc/unittests/warning.c:
+	* src/odbc/unittests/wchar.c:
+	- normalize unittest function names
+
 Mon Jul  5 09:20:20 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/blob1.c src/odbc/unittests/common.c:
 	* src/odbc/unittests/common.h:
@@ -2595,4 +2636,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3059 2010/07/05 07:20:47 freddy77 Exp $
+$Id: ChangeLog,v 1.3060 2010/07/05 09:20:32 freddy77 Exp $
diff --git a/src/odbc/unittests/array.c b/src/odbc/unittests/array.c
index 9b0fd8d..fdb559c 100644
--- a/src/odbc/unittests/array.c
+++ b/src/odbc/unittests/array.c
@@ -3,7 +3,7 @@
 
 /* Test using array binding */
 
-static char software_version[] = "$Id: array.c,v 1.15 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: array.c,v 1.16 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char *test_query = NULL;
@@ -37,18 +37,18 @@ query_test(int prepare, SQLRETURN expected, const char *expected_status)
 	char status[20];
 	int failure = 0;
 
-	assert(Statement != SQL_NULL_HSTMT);
-	ResetStatement();
+	assert(odbc_stmt != SQL_NULL_HSTMT);
+	odbc_reset_statement();
 
-	CommandWithResult(Statement, "drop table #tmp1");
-	Command("create table #tmp1 (id tinyint, value char(20))");
+	odbc_command_with_result(odbc_stmt, "drop table #tmp1");
+	odbc_command("create table #tmp1 (id tinyint, value char(20))");
 
-	SQLSetStmtAttr(Statement, SQL_ATTR_PARAM_BIND_TYPE, SQL_PARAM_BIND_BY_COLUMN, 0);
-	SQLSetStmtAttr(Statement, SQL_ATTR_PARAMSET_SIZE, (void *) ARRAY_SIZE, 0);
-	SQLSetStmtAttr(Statement, SQL_ATTR_PARAM_STATUS_PTR, statuses, 0);
-	SQLSetStmtAttr(Statement, SQL_ATTR_PARAMS_PROCESSED_PTR, &processed, 0);
-	SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, SQL_C_ULONG, SQL_INTEGER, 5, 0, ids, 0, id_lens);
-	SQLBindParameter(Statement, 2, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_VARCHAR, DESC_LEN - 1, 0, descs, DESC_LEN, desc_lens);
+	SQLSetStmtAttr(odbc_stmt, SQL_ATTR_PARAM_BIND_TYPE, SQL_PARAM_BIND_BY_COLUMN, 0);
+	SQLSetStmtAttr(odbc_stmt, SQL_ATTR_PARAMSET_SIZE, (void *) ARRAY_SIZE, 0);
+	SQLSetStmtAttr(odbc_stmt, SQL_ATTR_PARAM_STATUS_PTR, statuses, 0);
+	SQLSetStmtAttr(odbc_stmt, SQL_ATTR_PARAMS_PROCESSED_PTR, &processed, 0);
+	SQLBindParameter(odbc_stmt, 1, SQL_PARAM_INPUT, SQL_C_ULONG, SQL_INTEGER, 5, 0, ids, 0, id_lens);
+	SQLBindParameter(odbc_stmt, 2, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_VARCHAR, DESC_LEN - 1, 0, descs, DESC_LEN, desc_lens);
 
 	processed = ARRAY_SIZE + 1;
 	for (i = 0; i < ARRAY_SIZE; i++) {
@@ -60,10 +60,10 @@ query_test(int prepare, SQLRETURN expected, const char *expected_status)
 	}
 
 	if (!prepare) {
-		ret = SQLExecDirect(Statement, (SQLCHAR *) test_query, SQL_NTS);
+		ret = SQLExecDirect(odbc_stmt, (SQLCHAR *) test_query, SQL_NTS);
 	} else {
-		SQLPrepare(Statement, (SQLCHAR *) test_query, SQL_NTS);
-		ret = SQLExecute(Statement);
+		SQLPrepare(odbc_stmt, (SQLCHAR *) test_query, SQL_NTS);
+		ret = SQLExecute(odbc_stmt);
 	}
 	if (ret != expected) {
 		char buf[256];
@@ -73,7 +73,7 @@ query_test(int prepare, SQLRETURN expected, const char *expected_status)
 	}
 
 	for (i = 0; i < ARRAY_SIZE; i++)
-		SQLMoreResults(Statement);
+		SQLMoreResults(odbc_stmt);
 
 	if (processed > ARRAY_SIZE) {
 		char buf[256];
@@ -112,7 +112,7 @@ query_test(int prepare, SQLRETURN expected, const char *expected_status)
 		failure = 1;
 	}
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	free(ids);
 	free(descs);
@@ -120,7 +120,7 @@ query_test(int prepare, SQLRETURN expected, const char *expected_status)
 	free(desc_lens);
 	free(statuses);
 	if (failure) {
-		Disconnect();
+		odbc_disconnect();
 		exit(1);
 	}
 }
@@ -128,24 +128,24 @@ query_test(int prepare, SQLRETURN expected, const char *expected_status)
 int
 main(int argc, char *argv[])
 {
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
-	if (db_is_microsoft()) {
+	if (odbc_db_is_microsoft()) {
 		test_query = "INSERT INTO #tmp1 (id, value) VALUES (?, ?)";
 		query_test(0, SQL_ERROR, "VV!!!!!!!!");
 		/* FIXME test why is different and what should be correct result */
-		query_test(1, driver_is_freetds() ? SQL_ERROR : SQL_SUCCESS_WITH_INFO, "VV!!!!!!!!");
+		query_test(1, odbc_driver_is_freetds() ? SQL_ERROR : SQL_SUCCESS_WITH_INFO, "VV!!!!!!!!");
 
 		test_query = "INSERT INTO #tmp1 (id) VALUES (?) UPDATE #tmp1 SET value = ?";
 		query_test(0, SQL_SUCCESS_WITH_INFO, "VVVV!V!V!V");
 		/* FIXME test why is different and what should be correct result */
-		query_test(1, driver_is_freetds() ? SQL_ERROR : SQL_SUCCESS_WITH_INFO, "VV!!!!!!!!");
+		query_test(1, odbc_driver_is_freetds() ? SQL_ERROR : SQL_SUCCESS_WITH_INFO, "VV!!!!!!!!");
 
 		/* with result, see how SQLMoreResult work */
 		test_query = "INSERT INTO #tmp1 (id) VALUES (?) SELECT * FROM #tmp1 UPDATE #tmp1 SET value = ?";
 		/* IMHO our driver is better here -- freddy77 */
-		query_test(0, SQL_SUCCESS, driver_is_freetds() ? "VVVVV!V!V!" : "VVVVVV!VVV");
+		query_test(0, SQL_SUCCESS, odbc_driver_is_freetds() ? "VVVVV!V!V!" : "VVVVVV!VVV");
 #ifdef ENABLE_DEVELOPING
 		query_test(1, SQL_SUCCESS, "VVVVVVVVVV");
 #endif
@@ -157,7 +157,7 @@ main(int argc, char *argv[])
 
 	/* TODO record binding, array fetch, sqlputdata */
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Success!.\n");
 	return 0;
diff --git a/src/odbc/unittests/array_out.c b/src/odbc/unittests/array_out.c
index 3c802b9..4b8dc1b 100644
--- a/src/odbc/unittests/array_out.c
+++ b/src/odbc/unittests/array_out.c
@@ -3,7 +3,7 @@
 
 /* Test using array binding */
 
-static char software_version[] = "$Id: array_out.c,v 1.15 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: array_out.c,v 1.16 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char *test_query = NULL;
@@ -32,13 +32,13 @@ query_test(const char* expected, const char *expected_status)
 	Record *rec = NULL;
 	char status[20];
 
-	assert(Statement != SQL_NULL_HSTMT);
-	ResetStatement();
+	assert(odbc_stmt != SQL_NULL_HSTMT);
+	odbc_reset_statement();
 
-	SQLSetStmtAttr(Statement, SQL_ATTR_ROW_STATUS_PTR, statuses, 0);
-	SQLSetStmtAttr(Statement, SQL_ATTR_ROW_ARRAY_SIZE, (void *) ARRAY_SIZE, 0);
-	SQLSetStmtAttr(Statement, SQL_ATTR_ROWS_FETCHED_PTR, &processed, 0);
-	SQLSetStmtAttr(Statement, SQL_ATTR_ROW_BIND_TYPE, SQL_BIND_BY_COLUMN, 0);
+	SQLSetStmtAttr(odbc_stmt, SQL_ATTR_ROW_STATUS_PTR, statuses, 0);
+	SQLSetStmtAttr(odbc_stmt, SQL_ATTR_ROW_ARRAY_SIZE, (void *) ARRAY_SIZE, 0);
+	SQLSetStmtAttr(odbc_stmt, SQL_ATTR_ROWS_FETCHED_PTR, &processed, 0);
+	SQLSetStmtAttr(odbc_stmt, SQL_ATTR_ROW_BIND_TYPE, SQL_BIND_BY_COLUMN, 0);
 
 	if (!record_bind) {
 		ids = (SQLUINTEGER *) malloc(sizeof(SQLUINTEGER) * ARRAY_SIZE);
@@ -48,7 +48,7 @@ query_test(const char* expected, const char *expected_status)
 		assert(descs && ids && desc_lens && id_lens);
 	} else {
 		rec_size = sizeof(Record) + ((sizeof(SQLCHAR) * desc_len + sizeof(SQLINTEGER) - 1) & ~(sizeof(SQLINTEGER) - 1));
-		SQLSetStmtAttr(Statement, SQL_ATTR_ROW_BIND_TYPE, int2ptr(rec_size), 0);
+		SQLSetStmtAttr(odbc_stmt, SQL_ATTR_ROW_BIND_TYPE, int2ptr(rec_size), 0);
 		rec = (Record *) malloc(rec_size * ARRAY_SIZE);
 		ids = &rec->id;
 		id_lens = &rec->id_len;
@@ -70,8 +70,8 @@ query_test(const char* expected, const char *expected_status)
 		DESC_LENS(i) = -i;
 	}
 
-	SQLBindCol(Statement, 1, SQL_C_ULONG, &IDS(0), 0, &ID_LENS(0));
-	SQLBindCol(Statement, 2, SQL_C_CHAR, DESCS(0), desc_len, &DESC_LENS(0));
+	SQLBindCol(odbc_stmt, 1, SQL_C_ULONG, &IDS(0), 0, &ID_LENS(0));
+	SQLBindCol(odbc_stmt, 2, SQL_C_CHAR, DESCS(0), desc_len, &DESC_LENS(0));
 
 	CHKExecDirect((SQLCHAR *) test_query, SQL_NTS, "S");
 
@@ -132,18 +132,18 @@ main(int argc, char *argv[])
 {
 	int i;
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
-	Command("CREATE TABLE #odbc_test(i INT, t TEXT)");
+	odbc_command("CREATE TABLE #odbc_test(i INT, t TEXT)");
 	for (i = 0; i < 10; ++i) {
 		char buf[128];
 
 		sprintf(buf, "INSERT INTO #odbc_test(i, t) VALUES(%d, '%crow number %d')", i + 1, 'a' + i, i * 13);
-		Command(buf);
+		odbc_command(buf);
 	}
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	test_query = "SELECT * FROM #odbc_test ORDER BY i";
 	printf("test line %d\n", __LINE__);
@@ -166,7 +166,7 @@ main(int argc, char *argv[])
 
 	/* TODO bind offset, SQLGetData, no bind, error */
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Success!.\n");
 	return 0;
diff --git a/src/odbc/unittests/attributes.c b/src/odbc/unittests/attributes.c
index 5e80352..8d18cbe 100644
--- a/src/odbc/unittests/attributes.c
+++ b/src/odbc/unittests/attributes.c
@@ -5,7 +5,7 @@
  * SQLSetStmtAttr
  */
 
-static char software_version[] = "$Id: attributes.c,v 1.5 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: attributes.c,v 1.6 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int g_result = 0;
@@ -232,16 +232,16 @@ get_attr_stmt(ATTR_PARAMS)
 	case type_INTEGER:
 	case type_UINTEGER:
 		i = 0xdeadbeef;
-		ret = SQLGetStmtAttr(Statement, attr->value, (SQLPOINTER) & i, sizeof(SQLINTEGER), &ind);
+		ret = SQLGetStmtAttr(odbc_stmt, attr->value, (SQLPOINTER) & i, sizeof(SQLINTEGER), &ind);
 		break;
 	case type_SMALLINT:
 		si = 0xbeef;
-		ret = SQLGetStmtAttr(Statement, attr->value, (SQLPOINTER) & si, sizeof(SQLSMALLINT), &ind);
+		ret = SQLGetStmtAttr(odbc_stmt, attr->value, (SQLPOINTER) & si, sizeof(SQLSMALLINT), &ind);
 		i = si;
 		break;
 	case type_LEN:
 		li = 0xdeadbeef;
-		ret = SQLGetStmtAttr(Statement, attr->value, (SQLPOINTER) & li, sizeof(SQLLEN), &ind);
+		ret = SQLGetStmtAttr(odbc_stmt, attr->value, (SQLPOINTER) & li, sizeof(SQLLEN), &ind);
 		i = li;
 		break;
 	case type_VOIDP:
@@ -275,12 +275,12 @@ main(int argc, char *argv[])
 	SQLLEN len;
 	get_attr_t get_attr_p = get_attr_stmt;
 
-	Connect();
+	odbc_connect();
 	/* TODO find another way */
-	CheckCursor();
-	Command("SET TEXTSIZE 4096");
+	odbc_check_cursor();
+	odbc_command("SET TEXTSIZE 4096");
 
-	SQLBindCol(Statement, 1, SQL_C_SLONG, &i, sizeof(i), &len);
+	SQLBindCol(odbc_stmt, 1, SQL_C_SLONG, &i, sizeof(i), &len);
 
 	f = fopen(in_file, "r");
 	if (!f)
@@ -307,12 +307,12 @@ main(int argc, char *argv[])
 		if (strcmp(cmd, "odbc") == 0) {
 			int odbc3 = get_int(strtok(NULL, SEP)) == 3 ? 1 : 0;
 
-			if (use_odbc_version3 != odbc3) {
-				use_odbc_version3 = odbc3;
-				Disconnect();
-				Connect();
-				Command("SET TEXTSIZE 4096");
-				SQLBindCol(Statement, 1, SQL_C_SLONG, &i, sizeof(i), &len);
+			if (odbc_use_version3 != odbc3) {
+				odbc_use_version3 = odbc3;
+				odbc_disconnect();
+				odbc_connect();
+				odbc_command("SET TEXTSIZE 4096");
+				SQLBindCol(odbc_stmt, 1, SQL_C_SLONG, &i, sizeof(i), &len);
 			}
 			continue;
 		}
@@ -330,19 +330,19 @@ main(int argc, char *argv[])
 			switch (attr->type) {
 			case type_UINTEGER:
 			case type_INTEGER:
-				ret = SQLSetStmtAttr(Statement, attr->value, int2ptr(lookup(value, attr->lookup)),
+				ret = SQLSetStmtAttr(odbc_stmt, attr->value, int2ptr(lookup(value, attr->lookup)),
 						      sizeof(SQLINTEGER));
 				break;
 			case type_SMALLINT:
-				ret = SQLSetStmtAttr(Statement, attr->value, int2ptr(lookup(value, attr->lookup)),
+				ret = SQLSetStmtAttr(odbc_stmt, attr->value, int2ptr(lookup(value, attr->lookup)),
 						      sizeof(SQLSMALLINT));
 				break;
 			case type_LEN:
-				ret = SQLSetStmtAttr(Statement, attr->value, int2ptr(lookup(value, attr->lookup)),
+				ret = SQLSetStmtAttr(odbc_stmt, attr->value, int2ptr(lookup(value, attr->lookup)),
 						      sizeof(SQLLEN));
 				break;
 			case type_CHARP:
-				ret = SQLSetStmtAttr(Statement, attr->value, (SQLPOINTER) value, SQL_NTS);
+				ret = SQLSetStmtAttr(odbc_stmt, attr->value, (SQLPOINTER) value, SQL_NTS);
 				break;
 			case type_VOIDP:
 			case type_DESC:
@@ -372,7 +372,7 @@ main(int argc, char *argv[])
 		}
 
 		if (strcmp(cmd, "reset") == 0) {
-			ResetStatement();
+			odbc_reset_statement();
 			continue;
 		}
 
@@ -380,7 +380,7 @@ main(int argc, char *argv[])
 	}
 
 	fclose(f);
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return g_result;
diff --git a/src/odbc/unittests/base.c b/src/odbc/unittests/base.c
index f4b365f..2431474 100644
--- a/src/odbc/unittests/base.c
+++ b/src/odbc/unittests/base.c
@@ -2,18 +2,18 @@
 
 /* TODO place comment here */
 
-static char software_version[] = "$Id: base.c,v 1.1 2008/01/28 13:36:07 freddy77 Exp $";
+static char software_version[] = "$Id: base.c,v 1.2 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
 main(int argc, char *argv[])
 {
 	/* TODO remove if not neeeded */
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
 	/* TODO write your test */
 
-	Disconnect();
+	odbc_disconnect();
 	return 0;
 }
diff --git a/src/odbc/unittests/binary_test.c b/src/odbc/unittests/binary_test.c
index 87f5123..edb6fd3 100644
--- a/src/odbc/unittests/binary_test.c
+++ b/src/odbc/unittests/binary_test.c
@@ -7,7 +7,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: binary_test.c,v 1.8 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: binary_test.c,v 1.9 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define ERR_BUF_SIZE 256
@@ -36,21 +36,21 @@ static void
 clean_up(void)
 {
 	free(buf);
-	Disconnect();
+	odbc_disconnect();
 }
 
 static int
 test_insert(void *buf, SQLLEN buflen)
 {
-	SQLHSTMT Statement = SQL_NULL_HSTMT;
+	SQLHSTMT odbc_stmt = SQL_NULL_HSTMT;
 	SQLLEN strlen_or_ind;
 	const char *qstr = "insert into " TEST_TABLE_NAME " values (?)";
 
-	assert(Connection);
-	assert(Environment);
+	assert(odbc_conn);
+	assert(odbc_env);
 
 	/* allocate new statement handle */
-	CHKAllocHandle(SQL_HANDLE_STMT, Connection, &Statement, "SI");
+	CHKAllocHandle(SQL_HANDLE_STMT, odbc_conn, &odbc_stmt, "SI");
 
 	/* execute query */
 	CHKPrepare((SQLCHAR *) qstr, SQL_NTS, "SI");
@@ -62,9 +62,9 @@ test_insert(void *buf, SQLLEN buflen)
 	CHKExecute("SI");
 
 	/* this command shouldn't fail */
-	Command("DECLARE @i INT");
+	odbc_command("DECLARE @i INT");
 
-	SQLFreeHandle(SQL_HANDLE_STMT, Statement);
+	SQLFreeHandle(SQL_HANDLE_STMT, odbc_stmt);
 	return 0;
 }
 
@@ -72,15 +72,15 @@ test_insert(void *buf, SQLLEN buflen)
 static int
 test_select(void *buf, SQLINTEGER buflen, SQLLEN * bytes_returned)
 {
-	SQLHSTMT Statement = SQL_NULL_HSTMT;
+	SQLHSTMT odbc_stmt = SQL_NULL_HSTMT;
 	SQLLEN strlen_or_ind = 0;
 	const char *qstr = "select * from " TEST_TABLE_NAME;
 
-	assert(Connection);
-	assert(Environment);
+	assert(odbc_conn);
+	assert(odbc_env);
 
 	/* allocate new statement handle */
-	CHKAllocHandle(SQL_HANDLE_STMT, Connection, &Statement, "SI");
+	CHKAllocHandle(SQL_HANDLE_STMT, odbc_conn, &odbc_stmt, "SI");
 
 	/* execute query */
 	CHKExecDirect((SQLCHAR *) qstr, SQL_NTS, "SINo");
@@ -96,7 +96,7 @@ test_select(void *buf, SQLINTEGER buflen, SQLLEN * bytes_returned)
 	/* ensure that this was the only row */
 	CHKFetch("No");
 
-	SQLFreeHandle(SQL_HANDLE_STMT, Statement);
+	SQLFreeHandle(SQL_HANDLE_STMT, odbc_stmt);
 	return 0;
 }
 
@@ -111,10 +111,10 @@ main(int argc, char **argv)
 	/* do not allocate so big memory in stack */
 	buf = (unsigned char *) malloc(TEST_BUF_LEN);
 
-	Connect();
+	odbc_connect();
 
-	Command("create table " TEST_TABLE_NAME " (im IMAGE)");
-	Command("SET TEXTSIZE 1000000");
+	odbc_command("create table " TEST_TABLE_NAME " (im IMAGE)");
+	odbc_command("SET TEXTSIZE 1000000");
 
 	/* populate test buffer with ramp */
 	for (i = 0; i < TEST_BUF_LEN; i++) {
diff --git a/src/odbc/unittests/blob1.c b/src/odbc/unittests/blob1.c
index 549943a..e2c5de7 100755
--- a/src/odbc/unittests/blob1.c
+++ b/src/odbc/unittests/blob1.c
@@ -5,7 +5,7 @@
 #include <ctype.h>
 #include <assert.h>
 
-static char software_version[] = "$Id: blob1.c,v 1.21 2010/07/05 07:20:47 freddy77 Exp $";
+static char software_version[] = "$Id: blob1.c,v 1.22 2010/07/05 09:20:32 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define NBYTES 10000
@@ -229,7 +229,7 @@ int
 main(int argc, char **argv)
 {
 	SQLRETURN RetCode;
-	SQLHSTMT old_Statement = SQL_NULL_HSTMT;
+	SQLHSTMT old_odbc_stmt = SQL_NULL_HSTMT;
 	int i;
 
 	int key;
@@ -238,8 +238,8 @@ main(int argc, char **argv)
 	char sql[256];
 	test_info *t = NULL;
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
 	/* tests (W)CHAR/BINARY -> (W)CHAR/BINARY (9 cases) */
 	add_test(SQL_C_BINARY, SQL_LONGVARCHAR,   "TEXT",  123, 1 );
@@ -248,7 +248,7 @@ main(int argc, char **argv)
 	add_test(SQL_C_CHAR,   SQL_LONGVARCHAR,   "TEXT",  343, 47);
 	add_test(SQL_C_WCHAR,  SQL_LONGVARBINARY, "IMAGE", 561, 29);
 	add_test(SQL_C_WCHAR,  SQL_LONGVARCHAR,   "TEXT",  698, 24);
-	if (db_is_microsoft()) {
+	if (odbc_db_is_microsoft()) {
 		add_test(SQL_C_BINARY, SQL_WLONGVARCHAR, "NTEXT", 765, 12);
 		add_test(SQL_C_CHAR,   SQL_WLONGVARCHAR, "NTEXT", 237, 71);
 		add_test(SQL_C_WCHAR,  SQL_WLONGVARCHAR, "NTEXT", 687, 68);
@@ -258,19 +258,19 @@ main(int argc, char **argv)
 	for (t = test_infos; t < test_infos+num_tests; ++t)
 		sprintf(strchr(sql, 0), ",f%u %s", t->num, t->db_type);
 	strcat(sql, ",v INT)");
-	Command(sql);
+	odbc_command(sql);
 
-	old_Statement = Statement;
-	Statement = SQL_NULL_HSTMT;
+	old_odbc_stmt = odbc_stmt;
+	odbc_stmt = SQL_NULL_HSTMT;
 
 	/* Insert rows ... */
 
 	for (i = 0; i < cnt; i++) {
 		/* MS do not save correctly char -> binary */
-		if (!driver_is_freetds() && i)
+		if (!odbc_driver_is_freetds() && i)
 			continue;
 
-		CHKAllocHandle(SQL_HANDLE_STMT, Connection, &Statement, "S");
+		CHKAllocHandle(SQL_HANDLE_STMT, odbc_conn, &odbc_stmt, "S");
 
 		strcpy(sql, "INSERT INTO #tt VALUES(?");
 		for (t = test_infos; t < test_infos+num_tests; ++t)
@@ -322,8 +322,8 @@ main(int argc, char **argv)
 			}
 		}
 
-		CHKFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) Statement, "S");
-		Statement = SQL_NULL_HSTMT;
+		CHKFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) odbc_stmt, "S");
+		odbc_stmt = SQL_NULL_HSTMT;
 	}
 
 	/* Now fetch rows ... */
@@ -331,13 +331,13 @@ main(int argc, char **argv)
 	for (wide = 0; wide < 2; ++wide)
 	for (i = 0; i < cnt; i++) {
 		/* MS do not save correctly char -> binary */
-		if (!driver_is_freetds() && i)
+		if (!odbc_driver_is_freetds() && i)
 			continue;
 
 
-		CHKAllocHandle(SQL_HANDLE_STMT, Connection, &Statement, "S");
+		CHKAllocHandle(SQL_HANDLE_STMT, odbc_conn, &odbc_stmt, "S");
 
-		if (db_is_microsoft()) {
+		if (odbc_db_is_microsoft()) {
 			CHKSetStmtAttr(SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER, "S");
 			CHKSetStmtAttr(SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER, "S");
 		}
@@ -371,14 +371,14 @@ main(int argc, char **argv)
 		}
 
 		CHKCloseCursor("S");
-		CHKFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) Statement, "S");
-		Statement = SQL_NULL_HSTMT;
+		CHKFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) odbc_stmt, "S");
+		odbc_stmt = SQL_NULL_HSTMT;
 	}
 
-	Statement = old_Statement;
+	odbc_stmt = old_odbc_stmt;
 
 	free_tests();
-	Disconnect();
+	odbc_disconnect();
 
 	if (!failed)
 		printf("ok!\n");
diff --git a/src/odbc/unittests/cancel.c b/src/odbc/unittests/cancel.c
index 1f9a4b8..1d8db59 100644
--- a/src/odbc/unittests/cancel.c
+++ b/src/odbc/unittests/cancel.c
@@ -105,22 +105,22 @@ Test(int use_threads)
 	} else {
 		pthread_join(wait_thread, NULL);
 	}
-	getErrorInfo(SQL_HANDLE_STMT, Statement);
+	getErrorInfo(SQL_HANDLE_STMT, odbc_stmt);
 	if (strcmp(sqlstate, "HY008") != 0) {
 		fprintf(stderr, "Unexpected sql state returned\n");
-		Disconnect();
+		odbc_disconnect();
 		exit(1);
 	}
 
-	ResetStatement();
+	odbc_reset_statement();
 
-	Command("SELECT name FROM sysobjects WHERE 0=1");
+	odbc_command("SELECT name FROM sysobjects WHERE 0=1");
 }
 
 int
 main(int argc, char **argv)
 {
-	if (read_login_info())
+	if (odbc_read_login_info())
 		exit(1);
 
 	/*
@@ -128,11 +128,11 @@ main(int argc, char **argv)
 	 * is better to do it before connect cause uniODBC cache INIs
 	 * the name must be odbcinst.ini cause unixODBC accept only this name
 	 */
-	if (DRIVER[0]) {
+	if (odbc_driver[0]) {
 		FILE *f = fopen("odbcinst.ini", "w");
 
 		if (f) {
-			fprintf(f, "[FreeTDS]\nDriver = %s\nThreading = 0\n", DRIVER);
+			fprintf(f, "[FreeTDS]\nDriver = %s\nThreading = 0\n", odbc_driver);
 			fclose(f);
 			/* force iODBC */
 			setenv("ODBCINSTINI", "./odbcinst.ini", 1);
@@ -142,13 +142,13 @@ main(int argc, char **argv)
 		}
 	}
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
 	Test(0);
 	Test(1);
 
-	Disconnect();
+	odbc_disconnect();
 	return 0;
 }
 
